std::experimental::swap(std::experimental::propagate_const)(3)

NAME
std::experimental::swap(std::experimental::propagate_const) - std::experimental::swap(std::experimental::propagate_const)

Synopsis
   template< class T >
   constexpr void swap( std::experimental::propagate_const<T>& (library fundamentals
   lhs, TS v2)
   std::experimental::propagate_const<T>& rhs ) noexcept(/* see
   below */);
   Specializes the swap algorithm for std::experimental::propagate_const. Swaps the
   pointers of lhs and rhs. Equivalent to lhs.swap(rhs).
   This overload participates in overload resolution only (library fundamentals TS v3)
   if std::is_swappable_v<T> is true.

Parameters
   lhs, rhs - propagate_consts whose contents to swap

Return value
   (none)

Exceptions
   noexcept specification:
   noexcept(noexcept(lhs.swap(rhs)))

Complexity
   Constant

See also
   swap swaps the values of two objects
        (function template)
   swap swaps the wrapped pointer
        (public member function)